\name{mlDNA-package}
\alias{mlDNA-package}
\alias{mlDNA}
\docType{package}

\title{
Machine Learning-based Differential Network Analysis
}
\description{
This package provides functions for performing the machine learning (ML)-based differential 
network analysis of transcriptomic data. It can be used to: 

1) remove "noise" genes in the transcriptome data with the ML strategy by simultaneously 
considering four different classes of expression characteristics, including the absoulte 
expression values, the within-condition expression variations, the between-condition expression
 changes, and the coefficient of variation;

2) construct transcriptional networks from gene expression data with five correlation and two
 non-correlation measures;

3) perform a comprehensive network comparision with more than thirty network characteristics
 (e.g., degree, closeness, eccentricity, eigenvector, and PageRank);

4) identify biologically important genes with different ML algorithms by combining different 
kinds of network characteristics; 

5) estimate the covergence degree between different experimential conditions;

7) quantify the activity of pathways;

8) detect condition specifcally expressed genes.
}


\details{
\tabular{ll}{
Package: \tab mlDNA\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2013-06-16\cr
License: \tab GPL(>=2)\cr
}

}


\author{
Chuang Ma, Xiangfeng Wang

Maintainer: Chuang Ma <chuangma2006@gmail.com>
}


\references{
[1] Chuang Ma, Xiangfeng Wang. Machine learning-based differential network analysis of 
transcriptomic data: a case study of stress-responsive gene expression in Arabidopsis thaliana.
 2013(Submitted).
}



\keyword{ package }

